> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach a driver

Attaches a driver to a fleet. After the attach succeeds, the driver appears in fleet-scoped charging sessions and transactions.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/drivers/drv_pG7WUA9VqdyE5aecCMG52LHfe9GriKAS/attach \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "fleet": "flt_AIquEM0HEys6hfT24YqvYcfoAGnj3ZAI"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "drv_pG7WUA9VqdyE5aecCMG52LHfe9GriKAS",
      "object": "driver",
      "created": "2026-04-01T00:13:30.836Z",
      "email": "example@example.com",
      "fleets": ["flt_AIquEM0HEys6hfT24YqvYcfoAGnj3ZAI"],
      "license_number": null,
      "metadata": {},
      "name": "Example Driver",
      "phone": null,
      "policy_ids": ["pol_xfyXXHSkulv2zRfNglV1hBe9wl4bY1Xy"],
      "preferences": {
          "charging_speed": "fast",
          "currency": "eur",
          "default_payment_method": null,
          "max_price_per_kwh": null,
          "notifications": true,
          "preferred_charging_stations": ["chst_OO72mx3zdAd5mswmTda2fpXHvLFYzAbm"],
          "preferred_cpos": ["example_operator"]
      },
      "status": "active",
      "updated": "2026-04-01T01:13:23.895Z",
      "vehicles": ["veh_GSNdIjaKyEAjtJRJOxTSecFn2eRshZwT"],
      "wallet_balance": 1875
  }
  ```
</ResponseExample>

## Parameters

<ParamField body="fleet" type="string" required>
  ID of the fleet to attach or detach.
</ParamField>

## Returns

Returns the driver.
